Apache Tomcat 7.0.42

## org.apache.catalina.loader
Class WebappClassLoader.PrivilegedFindResourceByName

    java.lang.Object
      org.apache.catalina.loader.WebappClassLoader.PrivilegedFindResourceByName

All Implemented Interfaces:
  PrivilegedAction<ResourceEntry>

Enclosing class:
  WebappClassLoader

    protected class WebappClassLoader.PrivilegedFindResourceByName

extends Object
implements PrivilegedAction<ResourceEntry>

Field Summary
`protected String` `name`
`protected String` `path`

Method Summary
`ResourceEntry` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### path

    protected String path

Method Detail

### run

    public ResourceEntry run()

  Specified by:
    `run` in interface `PrivilegedAction<ResourceEntry>`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.